<script>
import { FieldsPanel } from '@yootheme/sidebar';

export default {
    name: 'YooessentialsBuilderPanel',

    extends: FieldsPanel,

    provide() {
        return {
            $node: this.node,
            Builder: this.builder
        };
    },

    props: {
        node: Object,
        builder: Object
    },

    events: {
        'yooessentials-prerequest'(e) {
            e.params[0]['node'] = this.node;
            e.params[0]['form'] = this.values;
        },

        resetNode() {
            this.$trigger('closeSidebarPanel', this.panel);
        }
    }
};
</script>
